Package com.documentum.fc.client.search

# Class PositionalOperator

java.lang.Object
com.documentum.fc.client.search.PositionalOperator

public class PositionalOperator extends Object
This operator can be set on a IDfExpressionSet object. It's used to define the options to run proximity searches, when the expression set contains only IDfFulltextExpression objects (at least 2). Proximity searches are only supported when the DFC search service generates xQuery. This class defines the distance between the IDfFulltextExpression objects, either phrases or words. By default, if the number of words is not set, it's initialized to 0 and the words must be ordered if it's not specified.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionalOperator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  Returns the distance (number of word) between the IDfFulltextExpression composing the proximity search
  `boolean`
  `isOrdered()`
  Indicates if the IDfFulltextExpression which take part in the proximity search must be ordered or not
  `void`
  `setCount(int count)`
  Sets the distance (number of words) between the IDfFulltextExpression object to match the constraint
  `void`
  `setOrdered(boolean isOrdered)`
  Specifies if the IDfFulltextExpression which take part in the proximity search must be ordered or not to match the text

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionalOperator

    public PositionalOperator()

- ## Method Details

  - ### setCount

    public void setCount(int count)
    Sets the distance (number of words) between the IDfFulltextExpression object to match the constraint
    Parameters:
      `count` - the number of words

  - ### setOrdered

    public void setOrdered(boolean isOrdered)
    Specifies if the IDfFulltextExpression which take part in the proximity search must be ordered or not to match the text
    Parameters:
      `isOrdered` -

  - ### getCount

    public int getCount()
    Returns the distance (number of word) between the IDfFulltextExpression composing the proximity search
    Returns:
      number of words

  - ### isOrdered

    public boolean isOrdered()
    Indicates if the IDfFulltextExpression which take part in the proximity search must be ordered or not
    Returns:
      boolean